From Thursday, July, 9, 3:00 PM Pacific,
our Community site will be in
read-only mode
through Sunday, July 12th.
Thank you for your patience.

Unable to run Talend open studio for data integration Mac

Highlighted
Five Stars

Unable to run Talend open studio for data integration Mac

Unable to open the Studio in MacOS Mojave 10.14. I see java version 10.0.2 by default. can you please suggest the link where I can get the correct version if this is not supported?

 

SESSION 2019-05-20 19:12:44.124 -----------------------------------------------
eclipse.buildId=unknown
java.version=10.0.2
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_SG
Framework arguments: -keyring /Users/nirmalg/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -keyring /Users/nirmalg/.eclipse_keyring -showlocation

!ENTRY org.talend.components.googledrive 4 0 2019-05-20 19:12:46.614
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.talend.components.googledrive [13]
Unresolved requirement: Import-Package: org.apache.commons.lang3; version="[3.7.0,4.0.0)"
-> Export-Package: org.apache.commons.lang3; bundle-symbolic-name="org.apache.commons.lang3"; bundle-version="3.7.0"; version="3.7.0"
org.apache.commons.lang3 [588]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.7))"

 

 

!ENTRY org.eclipse.osgi 4 0 2019-05-20 19:12:48.689
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)

Accepted Solutions
Highlighted
Moderator

Re: Unable to run Talend open studio for data integration Mac

Hello,

Please refer to this online installation guide about:TalendHelpCenter:Compatible Java Environments

You can modify .ini file to force Talend to plug with Java 1.8. 

-vm

/Java/jdk1.8.0_XX /bin

-vmargs

-Dosgi.requiredJavaVersion=1.8

Let us know if it is OK with you.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

View solution in original post

Highlighted
Five Stars

Re: Unable to run Talend open studio for data integration Mac

Below parameter worked. Thanks for your reply.

-vm

/Java/jdk1.8.0_XX /bin

View solution in original post


All Replies
Highlighted
Moderator

Re: Unable to run Talend open studio for data integration Mac

Hello,

Please refer to this online installation guide about:TalendHelpCenter:Compatible Java Environments

You can modify .ini file to force Talend to plug with Java 1.8. 

-vm

/Java/jdk1.8.0_XX /bin

-vmargs

-Dosgi.requiredJavaVersion=1.8

Let us know if it is OK with you.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

View solution in original post

Highlighted
Five Stars

Re: Unable to run Talend open studio for data integration Mac

Thanks for your reply. Now i have 1.8 JDK installed and I am getting error. please find the attached logs.

Highlighted
Five Stars

Re: Unable to run Talend open studio for data integration Mac

Below parameter worked. Thanks for your reply.

-vm

/Java/jdk1.8.0_XX /bin

View solution in original post

Highlighted
Moderator

Re: Unable to run Talend open studio for data integration Mac

Hello,

Great it is fixed. Feel free to let us know if there is any further help we can give.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

2019 GARTNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

Best Practices for Using Context Variables with Talend – Part 1

Learn how to do cool things with Context Variables

Blog

Best Practices for Using Context Variables with Talend – Part 3

Read about some useful Context Variable ideas

Blog

Talend Studio Improvements for API Services

Take a look at the Talend Studio improvements for API Services

Watch Now